import { Meta, ArgTypes, Canvas } from "@storybook/addon-docs/blocks";
import { Container } from "./Container";
import * as ContainerStories from "./Container.stories";

<Meta of={ContainerStories} />

# Container

Container is a a general purpose wrapper that can receive any styling prop.

It can be used to wrap one or more other components while ensuring consistency with the current theme.

## Install

```bash
yarn add @simplybusiness/mobius
```

## Usage

```js
import { Container } from "@simplybusiness/mobius";
```

## Examples

### Default

<Canvas of={ContainerStories.Default} />

## Props

<ArgTypes of={Container} />

## Component HTML Structure and Class names

The following HTML is rendered for a Container:

```html
<div class="mobius-container">{children}</div>
```
